clear all

filename1 = 'results_baseline_EA';
%filename1 = 'results_learning_EA_lambda_008';

%Attention: for hawkish MP set gamma_y = 0 in dem_trans_closed_ZLB.mod (line 156)
%filename1 = 'results_baseline_EA_hawkishMP';
%filename1 = 'results_learning_EA_lambda_008_hawkishMP';

%Attention: for simulations with pension system change respectively @#pension=1 or 2 in dem_trans_closed_ZLB.mod and switch on respective scale and adjustment below
%filename1 = 'results_pensions_EA_contrib'; 
%filename1 = 'results_pensions_EA_repl';

load(filename1)  
save zlb_temp filename1

%Generating quasi steady state (approximation point for stochastic simulations)
quasi_ss.endo = oo_.endo_simul;
quasi_ss.exo  = oo_.exo_simul;
quasi_ss.endo_names = M_.endo_names;
quasi_ss.exonames = M_.exo_names;
save quasi_ss quasi_ss;
clear all
load quasi_ss


%Rescaling and adjusting - needed for model variants with pension system
scale = 1; 
scale_contrib = 1.51/1.68; %scale=scale_contrib;    % ratio between std(R_obs) in baseline and pensions_contrib (at mean 1999-2008)
scale_repl =    1.51/1.67; %scale=scale_repl;       % ratio between std(R_obs) in baseline and pensions_repl (at mean 1999-2008)
adj=0;
adj_contrib = 0.0272 - 0.0193; %adj=adj_contrib;    % difference between r(80) in pensions_contrib and baseline
adj_repl =    0.0243 - 0.0193; %adj=adj_repl;       % difference between r(80) in pensions_repl and baseline


%Main simulations
load zlb_temp
zlb_prob = zeros(101,1);
stdR = zeros(101,1);

for dt_temp = 1980:2080    
    
    try
        save zlb_temp dt_temp scale adj zlb_prob stdR filename1;
        dynareOBC dem_trans_closed_ZLB NoCubature;

        temp = oo_.endo_simul(strmatch('R',M_.endo_names,'exact'),:) < (1.00001 + adj);
        zlb_prob(dt_temp - 1980 + 1,1) = 100*sum(temp)/size(temp,2);
        stdR(dt_temp - 1980 + 1,1) = std(oo_.endo_simul(strmatch('R_obs',M_.endo_names,'exact'),:));
      
     catch
         zlb_prob(dt_temp - 1980 + 1,1) = NaN;
         stdR(dt_temp - 1980 + 1,1) = NaN;
    end
     
    disp(['Simulation for year ' num2str(dt_temp) ' complete.']);
end

save(['zlb_' filename1],'dt_temp','scale','adj','zlb_prob','stdR');
